curl --request GET \
--url https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"orgSlug": "<string>",
"description": "<string>",
"permissions": [
"<string>"
],
"scopes": [
"<string>"
],
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"isSystem": true
}
],
"total": 123,
"defaultRole": "<string>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}List Org Roles
List roles in an organization
curl --request GET \
--url https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/orgs/{orgSlug}/roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"orgSlug": "<string>",
"description": "<string>",
"permissions": [
"<string>"
],
"scopes": [
"<string>"
],
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"isSystem": true
}
],
"total": 123,
"defaultRole": "<string>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Hide child attributes
Hide child attributes
Array of permission strings. Convention: {product}:{resource}:{action} Wildcards: Use * at end only (e.g., orgs:* matches orgs:members:manage) Platform permissions: - orgs:* (full org access) - orgs:members:manage, orgs:roles:manage, orgs:manage - orgs:branding:manage, orgs:navigation:manage - orgs:subscriptions:view, orgs:subscriptions:manage - orgs:apikeys:manage, orgs:invites:manage, orgs:join-rules:manage - secure-chat:, store:, knowledge:, builder: - agent-builder:, analytics:view, platform-admin: Custom app permissions: {app-slug}:{resource}:{action} Example: my-crm:contacts:read, my-crm:deals:manage Super admin: ["*"] (matches everything)
Resource scopes granted by this role. Wildcards: ["*"] grants access to all resources.
Slug of the org's default role used when no role is specified at member invitation time.
Was this page helpful?